- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | Friends | List of all members
pdftron::PDF::TiffOutputOptions Class Reference

`#include <Convert.h>`

## Public Member Functions
| TiffOutputOptions ()
void | SetBox (enum Page::Box type)
void | SetRotate (enum Page::Rotate rotation)
void | SetClip (double x1, double y1, double x2, double y2)
void | SetPages (const char *page_desc)
void | SetOverprint (enum PDFRasterizer::OverprintPreviewMode mode)
void | SetCMYK (bool enable)
void | SetDither (bool enable)
void | SetGray (bool enable)
void | SetMono (bool enable)
void | SetAnnots (bool enable)
void | SetSmooth (bool enable)
void | SetPrintmode (bool enable)
void | SetTransparentPage (bool enable)
void | SetPalettized (bool enable)
void | SetDPI (double dpi)
void | SetGamma (double gamma)
void | SetHRes (int hres)
void | SetVRes (int vres)

## Protected Attributes
TRN_Obj | m_obj
SDF::ObjSet | m_objset

## Friends
class | Convert

## Detailed Description

A class containing options for ToTiff functions

Definition at line 2457 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::TiffOutputOptions::TiffOutputOptions | ( |  | ) |

Creates an TiffOutputOptions object with default settings

## Member Function Documentation

void pdftron::PDF::TiffOutputOptions::SetAnnots | ( | bool | enable | ) |

Enables or disables drawing of annotations.

This option is enabled by default.

void pdftron::PDF::TiffOutputOptions::SetBox | ( | enum Page::Box | type | ) |

Specifies the page box/region to rasterize. Possible values are media, crop, trim, bleed, and art. By default, page crop region will be rasterized.

void pdftron::PDF::TiffOutputOptions::SetClip | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |

User definable clip box. By default, the clip region is identical to current page 'box'.

void pdftron::PDF::TiffOutputOptions::SetCMYK | ( | bool | enable | ) |

Render and export the image in CMYK mode. By default, the image is rendered and exported in RGB color space.

void pdftron::PDF::TiffOutputOptions::SetDither | ( | bool | enable | ) |

Enables dithering when the image is exported in palletized or monochrome mode.

This option is disabled by default.

void pdftron::PDF::TiffOutputOptions::SetDPI | ( | double | dpi | ) |

The output resolution, from 1 to 1000, in Dots Per Inch (DPI). The higher the DPI, the larger the image. Resolutions larger than 1000 DPI can be achieved by rendering image in tiles or stripes. The default resolution is 92 DPI.

void pdftron::PDF::TiffOutputOptions::SetGamma | ( | double | gamma | ) |

Sets the gamma factor used for anti-aliased rendering. Typical values are in the range from 0.1 to 3. Gamma correction can be used to improve the quality of anti-aliased image output and can (to some extent) decrease the appearance common anti-aliasing artifacts (such as pixel width lines between polygons). The default gamma is 0.

void pdftron::PDF::TiffOutputOptions::SetGray | ( | bool | enable | ) |

Render and export the image in grayscale mode. Sets pixel format to 8 bits per pixel grayscale. By default, the image is rendered and exported in RGB color space.

void pdftron::PDF::TiffOutputOptions::SetHRes | ( | int | hres | ) |

Sets the width of the output image, in pixels.

void pdftron::PDF::TiffOutputOptions::SetMono | ( | bool | enable | ) |

Export the rendered image as 1 bit per pixel (monochrome) image. The image will be compressed using G4 CCITT compression algorithm. By default, the image is not dithered. To enable dithering use 'SetDither' option. This option is disabled by default.

void pdftron::PDF::TiffOutputOptions::SetOverprint | ( | enum PDFRasterizer::OverprintPreviewMode | mode | ) |

Enable or disable support for overprint and overprint simulation. Overprint is a device dependent feature and the results will vary depending on the output color space and supported colorants (i.e. CMYK, CMYK+spot, RGB, etc). Default is e_op_pdfx_on.

Parameters

  op | e_op_on: always enabled; e_op_off: always disabled; e_op_pdfx_on: enabled for PDF/X files only.

void pdftron::PDF::TiffOutputOptions::SetPages | ( | const char * | page_desc | ) |

Specifies the list of pages to convert. "1" for only the first page. "1-5" for pages 1 to 5. "1, 5, 7" for pages 1, 5, and 7. "odd" for all odd pages. "even" for all even pages. By default, all pages are converted.

void pdftron::PDF::TiffOutputOptions::SetPalettized | ( | bool | enable | ) |

Enabled the output of palettized TIFFs.

This option is disabled by default.

void pdftron::PDF::TiffOutputOptions::SetPrintmode | ( | bool | enable | ) |

Renders annotations in the print mode. This option can be used to render 'Print Only' annotations and to hide 'Screen Only' annotations.

This option is disabled by default.

void pdftron::PDF::TiffOutputOptions::SetRotate | ( | enum Page::Rotate | rotation | ) |

Rotates all pages by a given number of degrees counterclockwise. The allowed values are 0, 90, 180, and 270. The default value is 0.

void pdftron::PDF::TiffOutputOptions::SetSmooth | ( | bool | enable | ) |

Enables or disables image smoothing (default: enabled).

void pdftron::PDF::TiffOutputOptions::SetTransparentPage | ( | bool | enable | ) |

Sets the page color to transparent. By default, Convert assumes that the page is drawn directly on an opaque white surface. Some applications may need to draw the page on a different backdrop. In this case any pixels that are not covered during rendering will be transparent.

This option is disabled by default.

void pdftron::PDF::TiffOutputOptions::SetVRes | ( | int | vres | ) |

Sets the height of the output image, in pixels.

## Friends And Related Function Documentation

friend class Convert
| friend

Definition at line 2618 of file Convert.h.

## Member Data Documentation

TRN_Obj pdftron::PDF::TiffOutputOptions::m_obj
| protected

Definition at line 2617 of file Convert.h.

SDF::ObjSet pdftron::PDF::TiffOutputOptions::m_objset
| protected

Definition at line 2619 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h